/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.apilib.file;

import java.util.UUID;

public class OzgCloudFileTestFactory {

	public static final String ID_STR = UUID.randomUUID().toString();
	public static final OzgCloudFileId ID = OzgCloudFileId.from(ID_STR);
	public static final String NAME = "testfile.pdf";
	public static final String CONTENT_TYPE = "application/pdf";
	public static final long SIZE = 1024;

	public static OzgCloudFile create() {
		return createBuilder().build();
	}

	public static OzgCloudFile.OzgCloudFileBuilder createBuilder() {
		return OzgCloudFile.builder()
				.id(ID)
				.name(NAME)
				.contentType(CONTENT_TYPE)
				.size(SIZE);
	}
}
