/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.apilib.vorgang;

import java.util.Optional;
import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.apilib.vorgang.OzgCloudVorgangQuery.FormIdentification;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangQuery.OzgCloudVorgangQueryBuilder;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangQuery.Query;

public class OzgCloudVorgangQueryTestFactory {

	public static final Query QUERY = QueryTestFactory.create();
	public static final String STATUS = LoremIpsum.getInstance().getWords(1);
	public static final FormIdentification FORM = FormIdentificationTestFactory.create();
	public static final String AKTENZEICHEN = UUID.randomUUID().toString();
	public static final String ORGANISATIONS_EINHEIT_ID = UUID.randomUUID().toString();

	public static OzgCloudVorgangQuery create() {
		return createBuilder()
				.build();
	}

	public static OzgCloudVorgangQueryBuilder createBuilder() {
		return OzgCloudVorgangQuery.builder()
				.aktenzeichen(Optional.of(AKTENZEICHEN))
				.form(Optional.of(FORM))
				.organisationsEinheitId(Optional.of(ORGANISATIONS_EINHEIT_ID))
				.status(Optional.of(STATUS))
				.query(Optional.of(QUERY));
	}
}
